<?php
/**
 * tpl_user_template.php
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// | Modified by JT 05/2010                                               |
// | Original Coded for Zen-Cart by cse031sust02 			  |
// +----------------------------------------------------------------------+
*/

// open the current directory
$dhandle = opendir(DIR_WS_TEMPLATES);
// define an array to hold the files
$files = array();
$i = 0;
if ($dhandle) {
   // loop through all of the files
   while (false !== ($fname = readdir($dhandle))) {
      // if the file is not this file, and does not start with a '.' or '..',
      // then store it for later display
      if (($fname != '.') && ($fname != '..') && ($fname!='template_default') &&
          ($fname != basename($_SERVER['PHP_SELF']))) {
          // store the filename
	    $user_template_array[$i]['id']=$fname;
	    $user_template_array[$i]['text']=strtoupper($fname);
	    $i++;
      }
   }
   // close the directory
   closedir($dhandle);
}

  $my_current_template ='';
    if(isset($_SESSION['user_template_name']))  {
	$my_current_template=$_SESSION['user_template_name'];
     }else {
/*
// Get Customer Chosen Template from Database under customers_template record
*/
      $my_current_template = $SESSION_['customer_template'];
    }

/*
// Display the current template and the choices in the sidebox in a drop down menu
*/
 $content = '<div id="' . str_replace('_', '-', $box_id . 'Content') . '" class="sideBoxContent">';
 $content.= "<center><b>".TEXT_CURRENT_TEMPLATE."</b></center><br /><center>". strtoupper($my_current_template) . "</center><br /><b><font color='red'>Registered Users Only</font></b><br />";
 $content.= "<center><b>" . TEXT_SELECT_TEMPLATE . "</b></center>";
 $content.= zen_draw_form('user_template_form','user_index.php');
 $content.= "<center>" . zen_draw_pull_down_menu('user_template', $user_template_array, $my_current_template, 'onchange="this.form.submit();"') . "</center>";
 $content.= '</form><br />';
 $content.= '</div>';
 